﻿@charset "utf-8";

#contenidos hr {
    clear: both;
    margin-top: 15px !important;
    margin-bottom: 15px !important;
}

#contenidos {
    padding: 0 !important;
}

#contenidos h1 {
    margin-bottom: 0.2em;
}

#contenidos .form-group label {
    display: none;
}

#contenidos .form-group select {
    border-radius: 3px;
}

#contenidos .search .btn {
    float: none;
    margin-top: .9rem;
}

#contenidos .search .btn-secondary {
    background-color: #ccc;
    border-color: #aaa;
}

.map-canvas {
    position: relative !important;
    border: 1px solid #6688bc;
    border-radius: 3px;
    margin-top: 15px;
    height: 500px;
    width: auto !important;
}

.map-canvas .legend {
    background-color: #fff;
    background-color: rgba(255, 255, 255, 0.8);
    border-radius: 3px;
    box-shadow: #ccc 0px 0px 3px;
    color: #555;
    padding: 5px 5px 2px 5px;
    line-height: 5px;
    margin: 0 5px 5px 0;

    font-weight: 600;
}

.map-canvas .legend div {
    border-top: 1px dashed #ddd;
    margin: 0 0 1px 0;
    padding: 0px 0 0 0;
}
.map-canvas .legend div img {
    width: 2em;
}

.map-canvas .legend div:first-child {
    border-top: none;
    padding-top: 0;
}

.map-canvas .legend span {

    padding: 0 0 0 10px;
    font-size:xx-small;
}

.map-loading {
    background:#ccc;
    opacity: 0.5;
}

#backtotop {
    z-index: 5000;
}

/* loader */
.loader {
    height: 5px;
    width: 100%;
    position: fixed;
    overflow: hidden;
    background-color: #fbbe00;
    z-index: 99999;
}

.loader:before {
    display: block;
    position: absolute;
    content: "";
    left: -200px;
    width: 200px;
    height: 5px;
    background-color: #ae1519;
    animation: loading 1.5s linear infinite;
}

@keyframes loading {
    from {
        left: -200px;
        width: 30%;
    }

    50% {
        width: 30%;
    }

    70% {
        width: 70%;
    }

    80% {
        left: 50%;
    }

    95% {
        left: 120%;
    }

    to {
        left: 100%;
    }
}

.loading {
    margin: auto;
    position: relative;
    padding: 0;
    width: 50px;
    height: 50px;
    -webkit-animation: circle infinite .75s linear;
    -moz-animation: circle infinite .75s linear;
    -o-animation: circle infinite .75s linear;
    animation: circle infinite .75s linear;
    border: 2px solid #e99c00;
    border-top-color: rgba(0, 0, 0, .2);
    border-right-color: rgba(0, 0, 0, .2);
    border-bottom-color: rgba(0, 0, 0, .2);
    border-radius: 100%;
}

@-webkit-keyframes circle {
    0% {
        -webkit-transform: rotate(0);
        -ms-transform: rotate(0);
        -o-transform: rotate(0);
        transform: rotate(0);
    }

    100% {
        -webkit-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@-moz-keyframes circle {
    0% {
        -webkit-transform: rotate(0);
        -ms-transform: rotate(0);
        -o-transform: rotate(0);
        transform: rotate(0);
    }

    100% {
        -webkit-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@-o-keyframes circle {
    0% {
        -webkit-transform: rotate(0);
        -ms-transform: rotate(0);
        -o-transform: rotate(0);
        transform: rotate(0);
    }

    100% {
        -webkit-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@keyframes circle {
    0% {
        -webkit-transform: rotate(0);
        -ms-transform: rotate(0);
        -o-transform: rotate(0);
        transform: rotate(0);
    }

    100% {
        -webkit-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

/* leaflet */
.leaflet-control-layers-selector {
    width: auto !important;
}

/* table and datatables */
table, .table-responsive {
    border-radius: 3px;
}

table.dataTable thead th {
    font-weight: normal !important;
}

.table-responsive {
    border: 1px solid #ccc;
}

.dataTables_paginate, .dataTables_info {
    padding: 4px;
}

.dataTables_wrapper .dataTables_paginate .paginate_button {
    border-radius: 3px !important;
}
.dataTables_wrapper .dataTables_paginate .paginate_button:hover {
    background: linear-gradient(to bottom,#337ab7 0,#265a88 100%) !important;
    border: 1px solid transparent !important;
    border-radius: 3px !important;
}
.dataTables_wrapper .dataTables_paginate .paginate_button.disabled:hover, .dataTables_wrapper .dataTables_paginate .paginate_button.disabled:active {
    background: Transparent !important;
}

/* mobile */
@media (max-width: 768px) {
    #contenidos {
        width: auto !important;
    }

    .cabeceraIzquierdo img {
        margin-left: unset;
    }

    .no-gutter div[class*="col-"] {
        padding-left: 15px !important;
        padding-right: 15px !important;
    }
}

.ajaxloading {
    position: absolute;
    margin: auto;
    left: 0;
    right: 0;
    z-index: 9999;
}

/* solo desktop */
@media (min-width: 991px) {
    .navbar .navbar-collapse {
        max-height: 56px !important;
    }
}

/*--> bootstrap custom */
.d-none {
    display: none !important;
}
.w-100 {
    width: 100% !important;
}
.form-inline .form-group {
    display: block;
}
.float-left {
    float: left !important;
}
.no-gutter div:first-of-type[class*="col-"] {
    padding-left: 0;
}
.no-gutter div:last-of-type[class*="col-"] {
    padding-right: 0;
}
/* bootstrap custom <---*/